Activiti
  1. Activiti
  2. ACT-1027

Activiti engine bundle has optional dependencies declared as mandatory in OSGi manifest

    Details

    • Type: Bug Bug
    • Status: Resolved Resolved
    • Priority: Major Major
    • Resolution: Fixed
    • Affects Version/s: 5.8
    • Fix Version/s: 5.9
    • Component/s: Engine
    • Labels:
      None
    • Number of attachments :
      0

      Description

      The activiti engine bundle has Import-Package definitions referencing packages from optional dependencies like springframework or jboss drools.
      These imports should be set to "optional".

        Activity

        Hide
        Daniel Meyer (camunda) added a comment -

        I added:

        org.springframework*;resolution:=optional,
        org.drools*;resolution:=optional,
        com.fasterxml*;resolution:=optional,

        Show
        Daniel Meyer (camunda) added a comment - I added: org.springframework*;resolution:=optional, org.drools*;resolution:=optional, com.fasterxml*;resolution:=optional,

          People

          • Assignee:
            Daniel Meyer (camunda)
            Reporter:
            Daniel Meyer (camunda)
          • Votes:
            0 Vote for this issue
            Watchers:
            0 Start watching this issue

            Dates

            • Created:
              Updated:
              Resolved: